function ans_ch = est_mean_pois(data_x, index_chPTs, prior)
  num_segs = length(index_chPTs)+1;
  num_data = length(data_x);
  index_temp = [0, index_chPTs, num_data];
  alpha = prior(1);
  beta = prior(2);
  est_mean =zeros(1, num_segs);
  for i=1:1:num_segs
    data_temp = data_x((index_temp(1,i)+1):index_temp(1,i+1));
    n = length(data_temp);
    m = sum(data_temp);
    est_mean(i) = (alpha+m)/(beta+n);
  end
  ans_ch=est_mean;
end