% Example, see manual for more detail.

load('Chrom_13_GBM29.mat');
max_segs=10;

% This signal only contains a few segments, so the maximum number of segments is set to 10. 

prior_A = prior_norm_A(data_x);
[index_chPT_A,log_H_A,max_j_A] = est_changepoints(data_x,'normal',prior_A,max_segs);

% Estimate the change-points using Norm-A prior.

prior_B = prior_norm_B(data_x);
[index_chPT_B,log_H_B,max_j_B] = est_changepoints(data_x,'normal',prior_B,max_segs);

% Estimate the change-points using Norm-B prior.

est_means_A = est_mean_norm(data_x, index_chPT_A, prior_A);
est_means_B = est_mean_norm(data_x, index_chPT_B, prior_B);

subplot(2,1,1);
plot_changePTs(data_x, data_t, index_chPT_A, est_means_A);    
subplot(2,1,2);
plot_changePTs(data_x, data_t, index_chPT_B, est_means_B);   

% Estimate and draw the step functions of the means. 
