function ans_ch=prior_norm_C(data_x)
  index_ChPT = est_changepoints(data_x, 'normal', prior_norm_A(data_x));
  num_segs = length(index_ChPT)+1;
  num_data = length(data_x);
  index_temp = [0, index_ChPT, num_data];
  tau2 = 0;
  for i=1:1:num_segs
    data_temp = data_x((index_temp(1,i)+1):index_temp(1,i+1));
    seg_var = 0;
    if length(data_temp)>1
      seg_var = var(data_temp);
    end
    if seg_var <= 0
      seg_var = 1;
    end
    tau2 = tau2 + seg_var;
  end
  tau2 = tau2/num_segs;
  
  temp_var = 0;
  if length(data_x)>1
    temp_var = var(data_x);
  end
  if temp_var <= 0
    temp_var = 1;
  end
  ans_ch=[mean(data_x), 5*tau2/(12*temp_var),3,3*tau2/5];
end